Package Details: lib32-sdl2-hg 2.0.9.r13.45038f8422c9+-2

Git Clone URL: https://aur.archlinux.org/lib32-sdl2-hg.git (read-only)
Package Base: lib32-sdl2-hg
Description: A library for portable low-level access to a video framebuffer, audio output, mouse, and keyboard (Version 2. 32 -bit)
Upstream URL: https://www.libsdl.org
Licenses: MIT
Conflicts: lib32-sdl2
Provides: lib32-sdl2
Submitter: CheapTransfers
Maintainer: shoober420
Last Packager: shoober420
Votes: 7
Popularity: 0.017619
First Submitted: 2013-03-05 13:54
Last Updated: 2018-11-13 01:04

Required by (42)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

CheapTransfers commented on 2013-08-14 19:57

some cleanup

CheapTransfers commented on 2013-07-27 23:15

fixed, would have been nice if someone notified me about the existence of this package before :/

bwrsandman commented on 2013-07-27 22:31

Missing provides and conflicts to lib32-sdl2.

bwrsandman commented on 2013-07-09 03:14

You're right, it only fails if you have tslib but not lib32-tslib installed.

This is the error message at build():
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libts.so when searching for -lts
/usr/bin/ld: skipping incompatible /usr/lib/libts.so when searching for -lts
/usr/bin/ld: cannot find -lts

CheapTransfers commented on 2013-07-08 21:53

fixed it

bwrsandman, tslib doesn't seem to be necessary. any reason why i should include it, even though it seems optional?

bwrsandman commented on 2013-07-08 04:12

In order to build the latest version, lib32-tslib needs to be added to the dependencies and the last line of package() needs to be changed from:
install -Dm644 "COPYING" "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
to:
install -Dm644 "COPYING.txt" "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"

CheapTransfers commented on 2013-05-14 17:32

It's a prerequisite to have base-devel installed if you want to use the AUR.

And it's also kind of logical to use gcc-multilib instead of the normal gcc if you want to build 32-bit code.

npouillard commented on 2013-05-14 11:42

FYI, makedepends is missing 'gcc-multilib'.

CheapTransfers commented on 2013-03-05 13:55

i just created this for the latest steam beta client to work, don't expect me to update it regularly/at all